# Suspect Citizens Update
# Chapter 5
# Alex Love
# July 25, 2021

library(lme4)
library(broom.mixed)
library(haven)

#Regression 3
dat <- read_stata("5logit/5data.dta")

dat <-dat[!is.na(dat$contraarrest),]

#Regression with no scaling 
reg3 <- glmer(data=dat,
              contraarrest ~ black + hispanic +other +gender +
              age+ as.factor(purpose)+ as.factor(dow)+ as.factor(hourfixed)+
              (1|agencyid)+ (1|officerid),
              family = binomial,
              control= glmerControl(optimizer = "bobyqa"))


odds <- tidy(reg3,conf.int=TRUE,exponentiate=TRUE,effects="fixed")

write.csv(odds, "oddsNoScale.csv")

#No scaling and older dates dates

olddat <- dat[dat$year<2017,]

reg3old <- glmer(data=olddat,
              contraarrest ~ black + hispanic +other +gender +
                age+ as.factor(purpose)+ as.factor(dow)+ as.factor(hourfixed)+
                (1|agencyid)+ (1|officerid),
              family = binomial,
              control= glmerControl(optimizer = "bobyqa"))


oddsold <- tidy(reg3old,conf.int=TRUE,exponentiate=TRUE,effects="fixed")
write.csv(oddsold, "oddsold.csv")
