* Chapter 3
*
* Updated July 25, 2021

*** Figure 1
clear
use "/nas/longleaf/home/ajlove/NC_TrafficStops_2002-2020_Clean.dta"

collapse (count) stopid , by(year)

replace stopid=stopid/1000000

twoway line stopid year , sort cmissing(n) ///
  		 scheme(sj) xtitle("Year") graphregion(color(white)) aspectratio() ylabel(, nogrid) ytitle("Traffic Stops in Millions")
		 
graph export "/nas/longleaf/home/ajlove/figures/Chapt3_Fig1.png", as(png) name ("Graph")

*** Figure 2
*** nothing below here runs
*** use R
clear
use "/nas/longleaf/home/ajlove/NC_TrafficStops_2002-2020_Clean.dta"

gen wht_stop=1 if race=="W"
gen blk_stop=1 if race=="B"
gen hisp_stop=1 if ethnicity==1
gen other_stop=1 if wht_stop+blk_stop+hisp_stop==0

gen black = 1 if race2==2
replace black = 0 if black == .
gen hispanic = 1 if race2==3
replace hispanic = 0 if hispanic == .
gen other = 1 if race2==4
replace other = 0 if other == .
gen white = 1 if race2 == 1
replace white = 0 if race2 > 1

collapse (count) stopid , by(black white hispanic other year)

gen blk=1 if race=="B"
gen wht=1 if race=="w"
gen hisp=1 if ethnicity==1
gen other=1 if blk+wht+hisp==0

collapse (sum) stopid, by(blk wht hisp other year)

twoway line stopid year , sort cmissing(n) ///
  		 scheme(sj) xtitle("Year") graphregion(color(white)) aspectratio() ylabel(, nogrid) ytitle("Traffic Stops in Millions")
		 
#delimit ;
twoway (line stopid year, lwidth(thick) lcolor(black))
(line stopid year, lwidth(thick) lcolor(black) lpattern(dash) if race=="W"),
graphregion(color(white))
legend(order(1 "Search Ratio" 2 "Contraband Hit Ratio"))
;
#delimit cr
