*****
***** Suspect Citizens
***** Replication File for Tables in Chapter 4
***** May 9, 2019
*****
* Updated July 25, 2021

cd *Replace this comment with your working directory*

*****
***** Chapter 4 Figures
*****
cd "/mnt/trafficstop/ajlove"
clear 
use "/mnt/trafficstop/ajlove/Cleaned_Data/NC_TrafficStops_2002-2020_Clean.dta"

* Top 25 variable
*drop Top25

gen Top25 = 1 if agencydescription == "NC State Highway Patrol"
replace Top25 = 2 if agencydescription == "Charlotte-Mecklenburg Police Department"
replace Top25 = 3 if agencydescription == "Raleigh Police Department"
replace Top25 = 4 if agencydescription == "Greensboro Police Department"
replace Top25 = 5 if agencydescription == "Fayetteville Police Department"
replace Top25 = 6 if agencydescription == "Winston-Salem Police Department"
replace Top25 = 7 if agencydescription == "High Point Police Department"
replace Top25 = 8 if agencydescription == "Durham Police Department"
replace Top25 = 9 if agencydescription == "Cary Police Department"
replace Top25 = 10 if agencydescription == "Jacksonville Police Department"
replace Top25 = 11 if agencydescription == "Concord Police Department"
replace Top25 = 12 if agencydescription == "Wilmington Police Department"
replace Top25 = 13 if agencydescription == "Wake County Sheriff's Office"
replace Top25 = 14 if agencydescription == "Greenville Police Department"
replace Top25 = 15 if agencydescription == "Forsyth County Sheriff's Office"
replace Top25 = 16 if agencydescription == "Asheville Police Department"
replace Top25 = 17 if agencydescription == "Kannapolis Police Department"
replace Top25 = 18 if agencydescription == "Burlington Police Department"
replace Top25 = 19 if agencydescription == "Hickory Police Department"
replace Top25 = 1 if agencydescription == "SHP - Motor Carrier Enforcement Section"
replace Top25 = 21 if agencydescription == "Apex Police Department"
replace Top25 = 22 if agencydescription == "Mooresville Police Department"
replace Top25 = 23 if agencydescription == "Goldsboro Police Department"
replace Top25 = 24 if agencydescription == "Gaston County Police Department"
replace Top25 = 25 if agencydescription == "Guilford County Sheriff's Office"
replace Top25 = 26 if agencydescription == "Gastonia Police Department"

**
** Figur 4.1 Search Rates Over Time
**

* Establishing the data set
gen stops = 1
collapse (sum) stops searchoccur, by(agencydescription year)
encode agencydescription, gen(ag_encode)
tsset ag_encode year
gen searchrate = searchoccur/stops

* Making each subfigure
* 4.1b: State Highway Patrol
twoway line searchrate year if agencydescription == "NC State Highway Patrol", sort cmissing(n) ///
  		 scheme(sj) xtitle("Year") graphregion(color(white)) aspectratio() ylabel(, nogrid) ytitle("Search Rate")
graph export Figures_PNG\Figure4_1b.png, width(1950) replace
graph export Figures_EPS\Figure4_1b.eps, replace

* 4.1c: Charlotte
twoway line searchrate year if agencydescription == "Charlotte-Mecklenburg Police Department", sort cmissing(n) ///
  		 scheme(sj) xtitle("Year") graphregion(color(white)) aspectratio() ylabel(, nogrid) ytitle("Search Rate")
graph export Figures_PNG\Figure4_1c.png, width(1950) replace
graph export Figures_EPS\Figure4_1c.eps, replace

* 4.1d: Raleigh
twoway line searchrate year if agencydescription == "Raleigh Police Department", sort cmissing(n) ///
  		 scheme(sj) xtitle("Year") graphregion(color(white)) aspectratio() ylabel(, nogrid) ytitle("Search Rate")
graph export Figures_PNG\Figure4_1d.png, width(1950) replace
graph export Figures_EPS\Figure4_1d.eps, replace

* 4.12: Greensboro
twoway line searchrate year if agencydescription == "Greensboro Police Department", sort cmissing(n) ///
  		 scheme(sj) xtitle("Year") graphregion(color(white)) aspectratio() ylabel(, nogrid) ytitle("Search Rate")
graph export Figures_PNG\Figure4_1e.png, width(1950) replace
graph export Figures_EPS\Figure4_1e.eps, replace

* 4.1f: Winston-Salem
twoway line searchrate year if agencydescription == "Winston-Salem Police Department", sort cmissing(n) ///
  		 scheme(sj) xtitle("Year") graphregion(color(white)) aspectratio() ylabel(, nogrid) ytitle("Search Rate")
graph export Figures_PNG\Figure4_1f.png, width(1950) replace
graph export Figures_EPS\Figure4_1f.eps, replace

* 4.12: Fayetteville
twoway line searchrate year if agencydescription == "Fayetteville Police Department", sort cmissing(n) ///
  		 scheme(sj) xtitle("Year") graphregion(color(white)) aspectratio() ylabel(, nogrid) ytitle("Search Rate")
graph export Figures_PNG\Figure4_1g.png, width(1950) replace
graph export Figures_EPS\Figure4_1g.eps, replace

* 4.1f: Durham
twoway line searchrate year if agencydescription == "Durham Police Department", sort cmissing(n) ///
  		 scheme(sj) xtitle("Year") graphregion(color(white)) aspectratio() ylabel(, nogrid) ytitle("Search Rate")
graph export Figures_PNG\Figure4_1h.png, width(1950) replace
graph export Figures_EPS\Figure4_1h.eps, replace

* 4.1a All
clear 
use "/mnt/trafficstop/ajlove/Cleaned_Data/NC_TrafficStops_2002-2020_Clean.dta"
gen stops = 1
collapse (sum) stops searchoccur, by(year)
tsset year
gen searchrate = searchoccur/stops

twoway line searchrate year, sort cmissing(n) ///
  		 scheme(sj) xtitle("Year") graphregion(color(white)) aspectratio() ylabel(, nogrid) ytitle("Search Rate")
graph export Figures_PNG\Figure4_1a.png, width(1950) replace
graph export Figures_EPS\Figure4_1a.eps, replace

**
** Figure 2
**

clear
use "/mnt/trafficstop/ajlove/Cleaned_Data/NC_TrafficStops_2002-2020_Clean.dta"
*Huge numbers of cases are missing the time variable.
*Let's see what years these are
gen timemissing=1 if hour==0 & minute==0
recode timemissing (.=0) if hour>0
*tab year timemissing 
*tab agencydescription timemissing
*So the missing values rarely come from 2001, but other than that they are consistently about 1/2 of the cases over time
*tab hour, miss
drop if hour==.
drop if hour==0 & minute==0
 

*Now to create seperate gender categories, for count of total stops by Race and Gender
generate stopwm=0 if gender<2
replace stopwm=1 if race2==1&gender==1
generate stopwf=0
replace stopwf=1 if race2==1&gender==0
generate stopbm=0
replace stopbm=1 if race2==2&gender==1
generate stopbf=0
replace stopbf=1 if race2==2&gender==0
generate stophm=0
replace stophm=1 if race2==3&gender==1
generate stophf=0
replace stophf=1 if race2==3&gender==0
gen stopt=1

*Now same thing for searches
rename searchoccur search
generate searchwm=stopwm*search
generate searchwf=stopwf*search
generate searchbm=stopbm*search
generate searchbf=stopbf*search
generate searchhm=stophm*search
generate searchhf=stophf*search
gen searcht=1 if search==1

*Now an hour of week variable
gen date=mdy(month, day, year)
format date %td
gen dayofweek=dow(date)
tab dayofweek, miss
drop if dayofweek==.


gen day2 = dayofweek+1
gen day3 = day2*100
gen time2 = day3+hour

*drop partial years
drop if year<2002
tab year

*Now collapse by time period
collapse (first) hour (sum) stopwm stopwf stopbm stopbf stophm stophf stopt searchwf searchwm searchbf searchbm searchhf searchhm searcht , by(time2)
gen state = "NC"
gen stopw = stopwf+stopwm
gen searchw = searchwf+searchwm
gen stopb = stopbf+stopbm
gen searchb = searchbf+searchbm
gen stoph = stophf+stophm
gen searchh = searchhf+searchhm
gen srt=(searcht*100)/stopt
gen srw=(searchw*100)/stopw
gen srb=(searchb*100)/stopb
gen srh=(searchh*100)/stoph
gen srwf=(searchwf*100)/stopwf
gen srwm=(searchwm*100)/stopwm
gen srbf=(searchbf*100)/stopbf
gen srbm=(searchbm*100)/stopbm
gen srhf=(searchhf*100)/stophf
gen srhm=(searchhm*100)/stophm
gen srrb=srb/srw
gen srrh=srh/srw
gen hourofweek=_n

format stopt %9.0fc
format searcht %9.0fc 

twoway line srw srb srh hourofweek, lcolor(black black black) /// 
	lpattern(dash solid vshortdash) lwidth(medium medium medium) ///
	graphregion(color(white)) ytitle("Search Rate") ///
	legend(label(1 "White") label(2 "Black") label(3 "Hispanic")  rows(1)) ///
	xlabel(0 "Su" 24 "Mo" 48 "Tu" 72 "We" 96 "Th" 120 "Fr" 144 "Sa") ///
	xmtick(0(6)168) ylabel(, nogrid) xtitle("Hour of the Day from Sunday through Saturday") ///
	xline(0, lcolor(black)) xline(24, lcolor(black)) xline(48, lcolor(black)) ///
	xline(72, lcolor(black)) xline(96, lcolor(black)) xline(120, lcolor(black)) ///
	xline(144, lcolor(black)) xtitle("Hour of the Day") caption("")

graph export Figures_PNG\Figure4_2.png, width(1950) replace
graph export Figures_EPS\Figure4_2.eps, replace

**
** Figure 3
**

collapse (sum) stopwm stopwf stopbm stopbf stophm stophf stopt searchwf searchwm searchbf searchbm searchhf searchhm searcht , by(hour)
gen state = "NC"
gen stopw = stopwf+stopwm
gen searchw = searchwf+searchwm
gen stopb = stopbf+stopbm
gen searchb = searchbf+searchbm
gen stoph = stophf+stophm
gen searchh = searchhf+searchhm
gen srt=(searcht*100)/stopt
gen srw=(searchw*100)/stopw
gen srb=(searchb*100)/stopb
gen srh=(searchh*100)/stoph
gen srwf=(searchwf*100)/stopwf
gen srwm=(searchwm*100)/stopwm
gen srbf=(searchbf*100)/stopbf
gen srbm=(searchbm*100)/stopbm
gen srhf=(searchhf*100)/stophf
gen srhm=(searchhm*100)/stophm
gen srrb=srb/srw
gen srrh=srh/srw
gen hourofweek=_n


format stopt %9.0fc
gen stoptk = stopt/1000

format searcht %9.0fc 
gen searchtk = searcht/1000

twoway line srwm srbm srhm hour, lcolor(black black black) ///
	lpattern(dash solid vshortdash) lwidth(medium medium medium) ///
	graphregion(color(white)) ytitle("Search Rate") ///
	legend(label(1 "White Men") label(2 "Black Men") label(3 "Hispanic Men")  rows(1)) ///
	xlabel(0(6)24) xmtick(0(1)24) ylabel(, nogrid) ///
	xtitle("Hour of the Day") caption("") 

graph export Figures_PNG\Figure4_3a.png, width(1950) replace
graph export Figures_EPS\Figure4_3a.eps, replace


twoway line srwf srbf srhf hour, lcolor(black black black) ///
	lpattern(dash solid vshortdash) lwidth(medium medium medium) ///
	graphregion(color(white)) ytitle("Search Rate") legend(label(1 "White Women") label(2 "Black Women") ///
	label(3 "Hispanic Women")  rows(1))  ///
	xlabel(0(6)24) xmtick(0(1)24) ylabel(, nogrid) ///
	xtitle("Hour of the Day") caption("")  

graph export Figures_PNG\Figure4_3b.png, width(1950) replace
graph export Figures_EPS\Figure4_3b.eps, replace


**
** Figure 4: "The" Suite of Barchart Figures
**

clear 
use "/mnt/trafficstop/ajlove/Cleaned_Data/NC_TrafficStops_2002-2020_Clean.dta"

* Misc. Cleaning
gen black = 1 if race2==2
replace black = 0 if black == .
gen hispanic = 1 if race2==3
replace hispanic = 0 if hispanic == .
gen other = 1 if race2==4
replace other = 0 if other == .
gen white = 1 if race2 == 1
replace white = 0 if race2 > 1
*gen investigation_stop = 1 if purpose == 5 | purpose == 6 | purpose == 7 | purpose == 8 | purpose == 9
*replace investigation_stop = 0 if purpose == 1 | purpose == 2 | purpose == 3 | purpose == 4
gen action_level = 1 if action == 0 | action == 1 | action == 2
replace action_level = 2 if action == 3
replace action_level = 3 if action == 4 
*gen searchoccur_no_ita = 1 if searchoccur == 1
*replace searchoccur_no_ita = 0 if searchoccur == 0
*replace searchoccur_no_ita = 0 if searchtype == 4

* Outcomes
gen none = 0
replace none = 1 if action == 0

gen verbal = 0
replace verbal = 1 if action == 1

gen written = 0
replace written = 1 if action == 2
	
gen citation = 0
replace citation = 1 if action == 3

gen Light = 1 if action_level == 1
replace Light = 0 if action_level == 2 | action_level == 3
gen Citation = 1 if action_level == 2
replace Citation = 0 if action_level == 1 | action_level == 3
gen Arrest = 1 if action_level == 3
replace Arrest = 0 if action_level == 2 | action_level == 1

*gen arrest = 0
*replace arrest = 1 if action == 4

* Race Gender Variable
gen RG4 = .
replace RG4=1 if gender == 1 & race2 == 2
replace RG4=2 if gender == 1 & race2 == 1
replace RG4=3 if gender == 0 & race2 == 2
replace RG4=4 if gender == 0 & race2 == 1
label variable RG4 "Race and Gender"
label define RG4 1 "Black Male" 2 "White Male" 3 "Black Female" 4 "White Female"

gen agerange = .
replace agerange = 1 if age<20
replace agerange = 2 if age>19
replace agerange = 3 if age>24
replace agerange = 4 if age>29
replace agerange = 5 if age>34
replace agerange = 6 if age>39
replace agerange = 7 if age>49
replace agerange = . if age == .
label variable agerange "Age Group"
label define agerange 1 "Less Than 20" 2 "20-24" 3 "25-29" 4 "30-34" 5 "35-39" 6 "40-49" 7 "50+"

tab1 RG4 agerange

gen RGAge = (RG4*10)+agerange

gen stops = 1
rename searchoccur searches

collapse (min) RG4 agerange (sum) stops searches none verbal written Citation Arrest, by(RGAge)
gen searchrate = (searches*100)/stops
gen nonerate = (none*100)/stops
gen verbalrate = (verbal*100)/stops
gen writtenrate = (written*100)/stops
gen Citationrate = (Citation*100)/stops
gen Arrestrate = (Arrest*100)/stops

gen agegroup = "Less Than 20"
replace agegroup = "20-24" if agerange==2 
replace agegroup = "25-29" if agerange==3
replace agegroup = "30-34" if agerange==4 
replace agegroup = "35-39" if agerange==5 
replace agegroup = "40-49" if agerange==6 
replace agegroup = "50+" if agerange==7 
replace agegroup = "" if RG4 ==.

gen RaceGender = "Black Male"
replace RaceGender = "White Male" if RG4==2
replace RaceGender = "Black Female" if RG4==3
replace RaceGender = "White Female" if RG4==4
replace RaceGender = "" if RG4==.

*** None
graph bar nonerate, over(agegroup, sort(agerange) label(angle(90) labsize(vsmall)))  over(RaceGender, sort(RG4)) ///
	graphregion(color(white)) nofill bar(1, color(black)) aspectratio() ///
	ylabel(, nogrid) ytitle("") note("")

graph export Figures_PNG\Figure4_4a.png, width(1950) replace
graph export Figures_EPS\Figure4_4a.eps, replace

*** Verbal
graph bar verbalrate, over(agegroup, sort(agerange) label(angle(90) labsize(vsmall)))  over(RaceGender, sort(RG4)) ///
	graphregion(color(white)) nofill bar(1, color(black)) aspectratio() ///
	ylabel(, nogrid) ytitle("") note("")

graph export Figures_PNG\Figure4_4b.png, width(1950) replace
graph export Figures_EPS\Figure4_4b.eps, replace

*** Written
graph bar writtenrate, over(agegroup, sort(agerange) label(angle(90) labsize(vsmall)))  over(RaceGender, sort(RG4)) ///
	graphregion(color(white)) nofill bar(1, color(black)) aspectratio() ///
	ylabel(, nogrid) ytitle("") note("")

graph export Figures_PNG\Figure4_4c.png, width(1950) replace
graph export Figures_EPS\Figure4_4c.eps, replace

*** Citation
graph bar Citationrate, over(agegroup, sort(agerange) label(angle(90) labsize(vsmall)))  over(RaceGender, sort(RG4)) ///
	graphregion(color(white)) nofill bar(1, color(black)) aspectratio() ///
	ylabel(, nogrid) ytitle("") note("")

graph export Figures_PNG\Figure4_4d.png, width(1950) replace
graph export Figures_EPS\Figure4_4d.eps, replace

*** Arrest
graph bar Arrestrate, over(agegroup, sort(agerange) label(angle(90) labsize(vsmall)))  over(RaceGender, sort(RG4)) ///
	graphregion(color(white)) nofill bar(1, color(black)) aspectratio() ///
	ylabel(, nogrid) ytitle("") note("")

graph export Figures_PNG\Figure4_4e.png, width(1950) replace
graph export Figures_EPS\Figure4_4e.eps, replace

*** Searches
graph bar searchrate, over(agegroup, sort(agerange) label(angle(90) labsize(vsmall)))  over(RaceGender, sort(RG4)) ///
	graphregion(color(white)) nofill bar(1, color(black)) aspectratio() ///
	ylabel(, nogrid) ytitle("") note("")

graph export Figures_PNG\Figure4_4f.png, width(1950) replace
graph export Figures_EPS\Figure4_4f.eps, replace

*****
***** Chapter 4 Tables
*****

clear
log using "/mnt/trafficstop/ajlove/logs/ch4.txt", t replace
* Loading in the data
use "/mnt/trafficstop/ajlove/Cleaned_Data/NC_TrafficStops_2002-2020_Clean.dta"
* Top 25 Tag
*drop Top25

gen Top25 = 1 if agencydescription == "NC State Highway Patrol"
replace Top25 = 2 if agencydescription == "Charlotte-Mecklenburg Police Department"
replace Top25 = 3 if agencydescription == "Raleigh Police Department"
replace Top25 = 4 if agencydescription == "Greensboro Police Department"
replace Top25 = 5 if agencydescription == "Fayetteville Police Department"
replace Top25 = 6 if agencydescription == "Winston-Salem Police Department"
replace Top25 = 7 if agencydescription == "High Point Police Department"
replace Top25 = 8 if agencydescription == "Durham Police Department"
replace Top25 = 9 if agencydescription == "Cary Police Department"
replace Top25 = 10 if agencydescription == "Jacksonville Police Department"
replace Top25 = 11 if agencydescription == "Concord Police Department"
replace Top25 = 12 if agencydescription == "Wilmington Police Department"
replace Top25 = 13 if agencydescription == "Wake County Sheriff's Office"
replace Top25 = 14 if agencydescription == "Greenville Police Department"
replace Top25 = 15 if agencydescription == "Forsyth County Sheriff's Office"
replace Top25 = 16 if agencydescription == "Asheville Police Department"
replace Top25 = 17 if agencydescription == "Kannapolis Police Department"
replace Top25 = 18 if agencydescription == "Burlington Police Department"
replace Top25 = 19 if agencydescription == "Hickory Police Department"
replace Top25 = 1 if agencydescription == "SHP - Motor Carrier Enforcement Section"
replace Top25 = 21 if agencydescription == "Apex Police Department"
replace Top25 = 22 if agencydescription == "Mooresville Police Department"
replace Top25 = 23 if agencydescription == "Goldsboro Police Department"
replace Top25 = 24 if agencydescription == "Gaston County Police Department"
replace Top25 = 25 if agencydescription == "Guilford County Sheriff's Office"
replace Top25 = 26 if agencydescription == "Gastonia Police Department"

* Misc. Cleaning
gen action_level = 1 if action == 0 | action == 1 | action == 2
replace action_level = 2 if action == 3
replace action_level = 3 if action == 4 
gen low_action = 1 if action_level == 1
replace low_action =0 if action_level == 2 | action_level == 3
gen med_action = 1 if action_level == 2
replace med_action =0 if action_level == 1 | action_level == 3
gen high_action = 1 if action_level == 3
replace high_action =0 if action_level == 2 | action_level == 1

gen black = 1 if race2==2
replace black = 0 if black == .
gen hispanic = 1 if race2==3
replace hispanic = 0 if hispanic == .
gen other = 1 if race2==4
replace other = 0 if other == .

*drop searchoccur_no_ita
gen searchoccur_no_ita = 1 if searchoccur == 1
replace searchoccur_no_ita = 0 if searchoccur == 0
replace searchoccur_no_ita = . if searchtype == 4

gen investigation_stop = 1 if purpose == 5 | purpose == 6 | purpose == 7 | purpose == 8 | purpose == 9
replace investigation_stop = 0 if purpose == 1 | purpose == 2 | purpose == 3 | purpose == 4


**
** The Tables
**

* Table 1: Search Rates by Race and Type of Search
gen searchtype2 = searchtype
replace searchtype2 = 0 if searchoccur == 0
tab searchtype2 race2, co


* Table 2: Search Rates by Race and Stop Type
tab investigation_stop searchoccur if race2 == 1, cell 
tab investigation_stop searchoccur if race2 == 2, cell
tab investigation_stop searchoccur if race2 == 3, cell

* Table 3: Action Percents by Race
tab action_level race2, co

* Table 4: Regressions
keep if Top25 != . 

logistic low_action black hispanic other gender age searchoccur_no_ita contraoccur i.purpose i.dow i.hourfixed i.Top25 
logistic med_action black hispanic other gender age searchoccur_no_ita contraoccur i.purpose i.dow i.hourfixed i.Top25 
logistic high_action black hispanic other gender age searchoccur_no_ita contraoccur i.purpose i.dow i.hourfixed i.Top25 
logistic searchoccur black hispanic other gender age i.purpose i.dow i.hourfixed i.Top25 

log close
