* Derek Epp
* 1-24-2016
* Chapter 5 - Who Has Contraband? 
*
*Updated July 25, 2021

*These analysis use the dataset for Charlotte, but for the book we'll want to use the state wide data. 

*Race2: 1= white non-hispanic, 2= black, 3= hispanic, 4= other
*Searchtype: 1= consent, 2= warrant, 3= probable cause, 4= incident to arrest, 5= protective frisk
log using "/mnt/trafficstop/ajlove/logs/ch5.txt", t replace
cd "/mnt/trafficstop/ajlove/figures"

clear
use "/nas/longleaf/home/ajlove/NC_TrafficStops_2002-2020_Clean.dta"
replace contraoccur = . if contraoccur == 1 & searchoccur == 0 

*** 
*** Table 5.1 - Likelihood of Finding Contraband Given a Search 
*** 

/*
rename SearchType searchtype
rename OuncesDrugs ouncesdrugs
rename PoundsDrugs poundsdrugs
rename PintsAlcohol pintsalcohol
rename GallonsAlcohol gallonsalcohol
rename DosagesDrugs dosagesdrugs
rename GramsDrugs gramsdrugs 
rename KilosDrugs kilosdrugs 
rename DollarMoney dollarmoney
rename Weapons weapons
rename DollarOther dollarother
*/

replace searchtype = . if searchoccur == 0 
replace ouncesdrugs = . if searchoccur == 0 
replace poundsdrugs = . if searchoccur == 0 
replace pintsalcohol = . if searchoccur == 0 
replace gallonsalcohol = . if searchoccur == 0 
replace dosagesdrugs = . if searchoccur == 0 
replace gramsdrugs = . if searchoccur == 0 
replace kilosdrugs = . if searchoccur == 0 
replace dollarmoney = . if searchoccur == 0 
replace dollarother = . if searchoccur == 0 
replace weapons = . if searchoccur == 0 

gen ouncesoccur = 1 if ouncesdrugs > 0
replace ouncesoccur = 0 if ouncesoccur == . 
replace ouncesoccur = 0 if ouncesdrugs == . 
gen poundsoccur = 1 if poundsdrugs > 0
replace poundsoccur = 0 if poundsoccur == . 
replace poundsoccur = 0 if poundsdrugs == . 
gen pintsoccur = 1 if pintsalcohol > 0
replace pintsoccur = 0 if pintsoccur == . 
replace pintsoccur = 0 if pintsalcohol == . 
gen gallonsoccur = 1 if gallonsalcohol > 0
replace gallonsoccur = 0 if gallonsoccur == . 
replace gallonsoccur = 0 if gallonsalcohol == . 
gen dosagesoccur = 1 if dosagesdrugs > 0
replace dosagesoccur = 0 if dosagesoccur == . 
replace dosagesoccur = 0 if dosagesdrugs == . 
gen gramsoccur = 1 if gramsdrugs > 0
replace gramsoccur = 0 if gramsoccur == . 
replace gramsoccur = 0 if gramsdrugs == . 
gen kilosoccur = 1 if kilosdrugs > 0
replace kilosoccur = 0 if kilosoccur == .
replace kilosoccur = 0 if kilosdrugs == . 
gen moneyoccur = 1 if dollarmoney > 0
replace moneyoccur = 1 if dollarother > 0 
replace moneyoccur = 0 if dollarmoney == .
replace moneyoccur = 0 if dollarother == .
replace moneyoccur = 0 if moneyoccur == . 
gen weaponsoccur = 1 if weapons > 0
replace weaponsoccur = 0 if weaponsoccur == .
replace weaponsoccur = 0 if weapons == .  
gen contra = 1 if ouncesoccur == 1 | poundsoccur == 1 | pintsoccur == 1 | gallonsoccur == 1 | dosagesoccur == 1 | gramsoccur == 1 | kilosoccur == 1 | moneyoccur == 1 | weaponsoccur == 1
gen notype = 1 if contraoccur == 1 & contra == . 
replace notype = 0 if notype == . 

gen drugs = 1 if ouncesoccur == 1 | poundsoccur == 1 | dosagesoccur == 1 | kilosoccur == 1 | gramsoccur == 1
replace drugs = 0 if drugs == . 
gen alcohol = 1 if pintsoccur == 1 | gallonsoccur == 1
replace alcohol = 0 if alcohol == . 

gen consent = 1 if searchtype == 1
replace consent = 0 if consent == .
gen warrant = 1 if searchtype == 2
gen cause = 1 if searchtype == 3
gen incident = 1 if searchtype == 4
gen frisk = 1 if searchtype == 5 

*Searchtype: 1= consent, 2= warrant, 3= probable cause, 4= incident to arrest, 5= protective frisk

tab drugs
tab alcohol 
tab moneyoccur
tab weaponsoccur 
tab notype

tab searchoccur drugs if contraoccur == 1, row
tab searchoccur alcohol if contraoccur == 1, row
tab searchoccur moneyoccur if contraoccur == 1, row
tab searchoccur weaponsoccur if contraoccur == 1, row
tab searchoccur notype if contraoccur == 1, row

tab consent drugs if contraoccur == 1, row
tab consent alcohol if contraoccur == 1, row
tab consent moneyoccur if contraoccur == 1, row
tab consent weaponsoccur if contraoccur == 1, row
tab consent notype if contraoccur == 1, row

tab cause drugs if contraoccur == 1, row
tab cause alcohol if contraoccur == 1, row
tab cause moneyoccur if contraoccur == 1, row
tab cause weaponsoccur if contraoccur == 1, row
tab cause notype if contraoccur == 1, row

tab incident drugs if contraoccur == 1, row
tab incident alcohol if contraoccur == 1, row
tab incident moneyoccur if contraoccur == 1, row
tab incident weaponsoccur if contraoccur == 1, row
tab incident notype if contraoccur == 1, row

tab frisk drugs if contraoccur == 1, row
tab frisk alcohol if contraoccur == 1, row
tab frisk moneyoccur if contraoccur == 1, row
tab frisk weaponsoccur if contraoccur == 1, row
tab frisk notype if contraoccur == 1, row

tab warrant drugs if contraoccur == 1, row
tab warrant alcohol if contraoccur == 1, row
tab warrant moneyoccur if contraoccur == 1, row
tab warrant weaponsoccur if contraoccur == 1, row
tab warrant notype if contraoccur == 1, row

*** 
*** Table 5.2 - Contraband hit-rates by search type
*** 

*Searchtype: 1= consent, 2= warrant, 3= probable cause, 4= incident to arrest, 5= protective frisk

tab searchtype contraoccur, row

tab searchtype drugs, row
tab searchtype alcohol, row
tab searchtype moneyoccur, row
tab searchtype weaponsoccur, row
tab searchtype notype, row

***
*** Figure 5.1 - How much contraband is found?
*** 

clear
use "/nas/longleaf/home/ajlove/NC_TrafficStops_2002-2020_Clean.dta"
replace contraoccur = . if contraoccur == 1 & searchoccur == 0 

/* 
rename OuncesDrugs ouncesdrugs
rename PoundsDrugs poundsdrugs
rename PintsAlcohol pintsalcohol
rename GallonsAlcohol gallonsalcohol
rename DosagesDrugs dosagesdrugs
rename GramsDrugs gramsdrugs 
rename KilosDrugs kilosdrugs 
rename DollarMoney dollarmoney
rename Weapons weapons
rename DollarOther dollarother
*/

replace ouncesdrugs = . if searchoccur == 0 
replace poundsdrugs = . if searchoccur == 0 
replace pintsalcohol = . if searchoccur == 0 
replace gallonsalcohol = . if searchoccur == 0 
replace dosagesdrugs = . if searchoccur == 0 
replace gramsdrugs = . if searchoccur == 0 
replace kilosdrugs = . if searchoccur == 0 
replace dollarmoney = . if searchoccur == 0 
replace dollarother = . if searchoccur == 0 
replace weapons = . if searchoccur == 0 

*Weapons
gen weapons2 = weapons if weapons>0
sum weapons2, d
display "Sum="r(sum)

recode weapons2 (10/max = 10)

#delimit ;
histogram weapons2 , freq
 bcolor(black) fcolor(white)
 ytitle(Number of Seizures) 
 xtitle(Size of Seizure) 
 ylabel(,labsize(small) format(%17.0g))
 start(1) 
 width(1)
  graphregion(color(white)) ylabel(, nogrid)
;
#delimit cr

*Note: weapons were found as contraband in 15,295 stops.
*A total of 24,309 weapons were seized. The median size of seizure is 1.
*Large values are clustered at 10.

graph export "Chapt5_Fig2_Weapons.png", width(1950) replace

*Dosages
gen dosages2 = dosages if dosages>0
sum dosages2, d
display "Sum="r(sum)
recode dosages2 (50/max = 50)

#delimit ;
histogram dosages2, freq
 bcolor(black) fcolor(white)
 ytitle(Number of Seizures) 
 xtitle(Size of Seizure) 
 ylabel(,labsize(small) format(%17.0g))
 start(1) 
 width(1)
  graphregion(color(white)) ylabel(, nogrid)
;
#delimit cr
*Note: dosages were found as contraband in 17,288 stops.
*A total of 254,866 dosages were seized. The median size of seizure is 2.
*Large values are clustered at 50.


graph export "Chapt5_Fig2_Dosages.png", width(1950) replace

*Ounces
gen ounces2 = ounces if ounces>0
sum ounces2, d
display "Sum="r(sum)
recode ounces2 (50/max = 50)

#delimit ;
histogram ounces2, freq
 bcolor(black) fcolor(white)
 ytitle(Number of Seizures) 
 xtitle(Size of Seizure) 
 ylabel(,labsize(small) format(%17.0g))
 start(.01) 
 width(1)
  graphregion(color(white)) ylabel(, nogrid)
;
#delimit cr
*Note: ounces were found as contraband in 34,193 stops.
*A total of 186,956 ounces were seized. The median size of seizure is 0.5.
*Large values are clustered at 50.
 
graph export "Chapt5_Fig2_Ounces.png", width(1950) replace

*Pints
gen pints2 = pints if pints>0
sum pints2, d
display "Sum="r(sum)
recode pints2 (50/max = 50)

#delimit ;
histogram pints2, freq
 bcolor(black) fcolor(white)
 ytitle(Number of Seizures) 
 xtitle(Size of Seizure) 
 ylabel(,labsize(small) format(%17.0g))
 start(.01) 
 width(1)
  graphregion(color(white)) ylabel(, nogrid)
;
#delimit cr
*Note: pints were found as contraband in 24,641 stops.
*A total of 99,966 pints were seized. The median size of seizure is 1.
*Large values are clustered at 50.
 
graph export "Chapt5_Fig2_Pints.png", width(1950) replace

*Pounds
gen pounds2 = pounds if pounds>0
sum pounds2, d
display "Sum="r(sum)
recode pounds2 (50/max = 50)

#delimit ;
histogram pounds2, freq
 bcolor(black) fcolor(white)
 ytitle(Number of Seizures) 
 xtitle(Size of Seizure) 
 start(.01) 
 width(1)
  graphregion(color(white)) ylabel(, nogrid)
;
#delimit cr
*Note: pounds were found as contraband in 1,250 stops.
*A total of 21,470 pounds were seized. The median size of seizure is 2.2.
*Large values are clustered at 50.
 
graph export "Chapt5_Fig2_Pounds.png", width(1950) replace

*Gallons
gen gallons2 = gallons if gallons>0
sum gallons2, d
display "Sum="r(sum)
recode gallons2 (50/max = 50)

#delimit ;
histogram gallons2, freq
 bcolor(black) fcolor(white)
 ytitle(Number of Seizures) 
 xtitle(Size of Seizure) 
 start(.01) 
 width(1)
  graphregion(color(white)) ylabel(, nogrid)
;
#delimit cr
*Note: gallons were found as contraband in 4,391 stops.
*A total of 14,310 gallons were seized. The median size of seizure is 1.
*Large values are clustered at 50.
 
graph export "Chapt5_Fig2_Gallons.png", width(1950) replace

*Money
gen dollaramt2 = dollarmoney if dollarmoney>0
replace dollaramt2 = dollarother if dollarother>0
sum dollaramt2, d
display "Sum="r(sum)
recode dollaramt2 (100/max = 100)

#delimit ; 
histogram dollaramt2, freq
 bcolor(black) fcolor(white)
 ytitle(Number of Seizures) 
 ylabel(0(2000)16000, format(%5.0f))
 xtitle(Size of Seizure) 
 start(.01) 
 width(10)
  graphregion(color(white)) ylabel(, nogrid)
;
#delimit cr
*Note: money was found as contraband in 18,782 stops.
*A total of 163,392,726 dollars were seized. The median size of seizure is 25.
*Large values are clustered at 100.
 
graph export "Chapt5_Fig2_Dollars.png", width(1950) replace


*Grams
gen grams2 = grams if grams>0
sum grams2, d
display "Sum="r(sum)
recode grams2 (50/max = 50)

#delimit ;
histogram grams2, freq
 bcolor(black) fcolor(white)
 ytitle(Number of Seizures) 
 xtitle(Size of Seizure) 
 start(.01) 
 width(1)
  graphregion(color(white)) ylabel(, nogrid)
;
#delimit cr
*Note: grams were found as contraband in 23,049 stops.
*A total of 191,658.13 grams were seized. The median size of seizure is 2.
*Large values are clustered at 50.
 
graph export "Chapt5_Fig2_Grams.png", width(1950) replace

*Kilos
gen kilos2 = kilos if kilos>0
sum kilos2, d
display "Sum="r(sum)
recode kilos2 (50/max = 50)

#delimit ;
histogram kilos2, freq
 bcolor(black) fcolor(white)
 ytitle(Number of Seizures) 
 xtitle(Size of Seizure) 
 start(.01) 
 width(1)
  graphregion(color(white)) ylabel(, nogrid)
;
#delimit cr
*Note: kilos were found as contraband in 56 stops.
*A total of 294 kilos were seized. The median size of seizure is 2.
 
graph export "Chapt5_Fig2_Kilos.png", width(1950) replace

**
** Table 5.3 - Enforcement actions following the discovery of contraband
**

clear
use "/nas/longleaf/home/ajlove/NC_TrafficStops_2002-2020_Clean.dta"
replace contraoccur = . if contraoccur == 1 & searchoccur == 0 

/*
rename SearchType searchtype
rename OuncesDrugs ouncesdrugs
rename PoundsDrugs poundsdrugs
rename PintsAlcohol pintsalcohol
rename GallonsAlcohol gallonsalcohol
rename DosagesDrugs dosagesdrugs
rename GramsDrugs gramsdrugs 
rename KilosDrugs kilosdrugs 
rename DollarMoney dollarmoney
rename Weapons weapons
rename DollarOther dollarother
*/

replace searchtype = . if searchoccur == 0 
replace ouncesdrugs = . if searchoccur == 0 
replace poundsdrugs = . if searchoccur == 0 
replace pintsalcohol = . if searchoccur == 0 
replace gallonsalcohol = . if searchoccur == 0 
replace dosagesdrugs = . if searchoccur == 0 
replace gramsdrugs = . if searchoccur == 0 
replace kilosdrugs = . if searchoccur == 0 
replace dollarmoney = . if searchoccur == 0 
replace dollarother = . if searchoccur == 0 
replace weapons = . if searchoccur == 0 

drop if searchtype == 4

gen ouncesoccur = 1 if ouncesdrugs > 0
replace ouncesoccur = 0 if ouncesoccur == . 
replace ouncesoccur = 0 if ouncesdrugs == . 
gen poundsoccur = 1 if poundsdrugs > 0
replace poundsoccur = 0 if poundsoccur == . 
replace poundsoccur = 0 if poundsdrugs == . 
gen pintsoccur = 1 if pintsalcohol > 0
replace pintsoccur = 0 if pintsoccur == . 
replace pintsoccur = 0 if pintsalcohol == . 
gen gallonsoccur = 1 if gallonsalcohol > 0
replace gallonsoccur = 0 if gallonsoccur == . 
replace gallonsoccur = 0 if gallonsalcohol == . 
gen dosagesoccur = 1 if dosagesdrugs > 0
replace dosagesoccur = 0 if dosagesoccur == . 
replace dosagesoccur = 0 if dosagesdrugs == . 
gen gramsoccur = 1 if gramsdrugs > 0
replace gramsoccur = 0 if gramsoccur == . 
replace gramsoccur = 0 if gramsdrugs == . 
gen kilosoccur = 1 if kilosdrugs > 0
replace kilosoccur = 0 if kilosoccur == .
replace kilosoccur = 0 if kilosdrugs == . 
gen moneyoccur = 1 if dollarmoney > 0
replace moneyoccur = 1 if dollarother > 0 
replace moneyoccur = 0 if dollarmoney == .
replace moneyoccur = 0 if dollarother == .
replace moneyoccur = 0 if moneyoccur == . 
gen weaponsoccur = 1 if weapons > 0
replace weaponsoccur = 0 if weaponsoccur == .
replace weaponsoccur = 0 if weapons == .  
gen contra = 1 if ouncesoccur == 1 | poundsoccur == 1 | pintsoccur == 1 | gallonsoccur == 1 | dosagesoccur == 1 | gramsoccur == 1 | kilosoccur == 1 | moneyoccur == 1 | weaponsoccur == 1
gen notype = 1 if contraoccur == 1 & contra == . 
replace notype = 0 if notype == . 

gen drugs = 1 if ouncesoccur == 1 | poundsoccur == 1 | dosagesoccur == 1 | kilosoccur == 1 | gramsoccur == 1
replace drugs = 0 if drugs == . 
gen alcohol = 1 if pintsoccur == 1 | gallonsoccur == 1
replace alcohol = 0 if alcohol == . 

tab action if contraoccur == 1
tab action drugs, col
tab action alcohol, col
tab action weaponsoccur, col
tab action moneyoccur, col
tab action notype, col

*** 
*** Table 5.4 - Arrest-worthy hit-rates by search type
*** 

clear
use "/nas/longleaf/home/ajlove/NC_TrafficStops_2002-2020_Clean.dta"
replace contraoccur = . if contraoccur == 1 & searchoccur == 0 

/*
rename SearchType searchtype
rename OuncesDrugs ouncesdrugs
rename PoundsDrugs poundsdrugs
rename PintsAlcohol pintsalcohol
rename GallonsAlcohol gallonsalcohol
rename DosagesDrugs dosagesdrugs
rename GramsDrugs gramsdrugs 
rename KilosDrugs kilosdrugs 
rename DollarMoney dollarmoney
rename Weapons weapons
rename DollarOther dollarother
*/

replace searchtype = . if searchoccur == 0 
replace ouncesdrugs = . if searchoccur == 0 
replace poundsdrugs = . if searchoccur == 0 
replace pintsalcohol = . if searchoccur == 0 
replace gallonsalcohol = . if searchoccur == 0 
replace dosagesdrugs = . if searchoccur == 0 
replace gramsdrugs = . if searchoccur == 0 
replace kilosdrugs = . if searchoccur == 0 
replace dollarmoney = . if searchoccur == 0 
replace dollarother = . if searchoccur == 0 
replace weapons = . if searchoccur == 0 

drop if searchtype == 4

gen ouncesoccur = 1 if ouncesdrugs > 0
replace ouncesoccur = 0 if ouncesoccur == . 
replace ouncesoccur = 0 if ouncesdrugs == . 
gen poundsoccur = 1 if poundsdrugs > 0
replace poundsoccur = 0 if poundsoccur == . 
replace poundsoccur = 0 if poundsdrugs == . 
gen pintsoccur = 1 if pintsalcohol > 0
replace pintsoccur = 0 if pintsoccur == . 
replace pintsoccur = 0 if pintsalcohol == . 
gen gallonsoccur = 1 if gallonsalcohol > 0
replace gallonsoccur = 0 if gallonsoccur == . 
replace gallonsoccur = 0 if gallonsalcohol == . 
gen dosagesoccur = 1 if dosagesdrugs > 0
replace dosagesoccur = 0 if dosagesoccur == . 
replace dosagesoccur = 0 if dosagesdrugs == . 
gen gramsoccur = 1 if gramsdrugs > 0
replace gramsoccur = 0 if gramsoccur == . 
replace gramsoccur = 0 if gramsdrugs == . 
gen kilosoccur = 1 if kilosdrugs > 0
replace kilosoccur = 0 if kilosoccur == .
replace kilosoccur = 0 if kilosdrugs == . 
gen moneyoccur = 1 if dollarmoney > 0
replace moneyoccur = 1 if dollarother > 0 
replace moneyoccur = 0 if dollarmoney == .
replace moneyoccur = 0 if dollarother == .
replace moneyoccur = 0 if moneyoccur == . 
gen weaponsoccur = 1 if weapons > 0
replace weaponsoccur = 0 if weaponsoccur == .
replace weaponsoccur = 0 if weapons == .  
gen contra = 1 if ouncesoccur == 1 | poundsoccur == 1 | pintsoccur == 1 | gallonsoccur == 1 | dosagesoccur == 1 | gramsoccur == 1 | kilosoccur == 1 | moneyoccur == 1 | weaponsoccur == 1
gen notype = 1 if contraoccur == 1 & contra == . 
replace notype = 0 if notype == . 

gen drugs = 1 if ouncesoccur == 1 | poundsoccur == 1 | dosagesoccur == 1 | kilosoccur == 1 | gramsoccur == 1
replace drugs = 0 if drugs == . 
gen alcohol = 1 if pintsoccur == 1 | gallonsoccur == 1
replace alcohol = 0 if alcohol == . 

gen contraarrest = 0 
replace contraarrest = 1 if contraoccur == 1 & action == 4
gen drugarrests = 0 
replace drugarrests = 1 if drugs == 1 & action == 4
gen alcoholarrest = 0 
replace alcoholarrest = 1 if alcohol == 1 & action == 4
gen moneyarrest = 0 
replace moneyarrest = 1 if moneyoccur == 1 & action == 4
gen weaponsarrest = 0 
replace weaponsarrest = 1 if weaponsoccur == 1 & action == 4
gen notypearrest = 0 
replace notypearrest = 1 if notype == 1 & action == 4

tab searchtype contraarrest, row

tab searchtype drugarrests, row
tab searchtype alcoholarrest, row
tab searchtype moneyarrest, row
tab searchtype weaponsarrest, row
tab searchtype notypearrest, row

***
*** Figure 5.2 - Comparing search rates and contraband hit rates for officers with at least 100 searches
*** 

clear
use "/nas/longleaf/home/ajlove/NC_TrafficStops_2002-2020_Clean.dta"
replace contraoccur = . if contraoccur == 1 & searchoccur == 0 

gen stops = 1

collapse (sum) stops contraoccur searchoccur, by(officerid)

gen searchrate = (searchoccur/stops)*100
gen contrahit = (contraoccur/searchoccur)*100

drop if searchoccur < 100

corr searchrate contrahit

#delimit ;
scatter contrahit searchrate, mcolor(black) msize(small)
bcolor(black) fcolor(white)
ytitle(Contraband Hit Rate) 
xtitle(Search Rate)  
graphregion(color(white)) 
yline(28.57, lcolor(black))
xline(14.29, lcolor(black))
ylabel(, nogrid)
ylabel(, format(%9.0f)) 
xlabel(, format(%9.0f)) 
;
#delimit cr
*Note: based on the 1,408 police officers that searched at least 100 motorists. Correlation between searches and contraband hits is 0.191. Lines show median values. 

graph export "Chapt5_Fig1_SearchContraOfficers.png", width(1950) replace


**
** Table 5.5 - Percentage of searches that result in contraband
**

*Searchtype: 1= consent, 2= warrant, 3= probable cause, 4= incident to arrest, 5= protective frisk

clear
use "/nas/longleaf/home/ajlove/NC_TrafficStops_2002-2020_Clean.dta"
replace contraoccur = . if contraoccur == 1 & searchoccur == 0 

*rename SearchType searchtype
replace searchtype = . if searchoccur == 0 

tab searchtype
tab searchtype contraoccur, row
tab searchtype contraoccur if race2 == 1, row
tab searchtype contraoccur if race2 == 2, row

**
** Table 5.6 - Stops, Searches, Contraband Hits, and Arrests by Race
**

*** Compilation table; no do-file code ***

clear
use "/nas/longleaf/home/ajlove/NC_TrafficStops_2002-2020_Clean.dta"

collapse (count) stopid searchid, by(race2)

clear
use "/nas/longleaf/home/ajlove/NC_TrafficStops_2002-2020_Clean.dta"
replace contraoccur = . if contraoccur == 1 & searchoccur == 0 

gen stops = 1
gen contraarrest=1 if contraoccur==1 & arrest==1
gen searchcontra=1 if searchoccur==1 & arrest==1
gen searchrate = (searchoccur/stops)*100
gen contrahit = (contraoccur/searchoccur)*100
gen hitarrest = (contraarrest/searchoccur)*100
replace hitarrest = 0 if hitarrest==.

collapse (sum) contraarrest searchcontra (mean) searchrate contrahit hitarrest, by (race2)


collapse (sum) contraarrest searchcontra (mean) searchrate contrahit hitarrest, by (race2)

**
** Figure 5.3 - Percent Difference in the Likelihood of Finding Contraband 
**

*This figure needs to be repeated four times using the different search types

clear
use "/nas/longleaf/home/ajlove/NC_TrafficStops_2002-2020_Clean.dta"
replace contraoccur = . if contraoccur == 1 & searchoccur == 0 

*rename SearchType searchtype
replace searchtype = . if searchoccur == 0 

gen stops = 1

gen contra_consent_wht = 1 if race2 == 1 & searchtype == 1 & contraoccur == 1
gen type_consent_wht = 1 if race2 == 1 & searchtype == 1
gen contra_consent_blk = 1 if race2 == 2 & searchtype == 1 & contraoccur == 1
gen type_consent_blk = 1 if race2 == 2 & searchtype == 1

gen contra_cause_wht = 1 if race2 == 1 & searchtype == 3 & contraoccur == 1
gen type_cause_wht = 1 if race2 == 1 & searchtype == 3
gen contra_cause_blk = 1 if race2 == 2 & searchtype == 3 & contraoccur == 1
gen type_cause_blk = 1 if race2 == 2 & searchtype == 3

gen contra_arrest_wht = 1 if race2 == 1 & searchtype == 4 & contraoccur == 1
gen type_arrest_wht = 1 if race2 == 1 & searchtype == 4
gen contra_arrest_blk = 1 if race2 == 2 & searchtype == 4 & contraoccur == 1
gen type_arrest_blk = 1 if race2 == 2 & searchtype == 4

gen contra_frisk_wht = 1 if race2 == 1 & searchtype == 5 & contraoccur == 1
gen type_frisk_wht = 1 if race2 == 1 & searchtype == 5
gen contra_frisk_blk = 1 if race2 == 2 & searchtype == 5 & contraoccur == 1
gen type_frisk_blk = 1 if race2 == 2 & searchtype == 5

collapse (sum) stops contra_consent_wht type_consent_wht contra_consent_blk type_consent_blk contra_cause_wht type_cause_wht contra_cause_blk type_cause_blk contra_arrest_wht type_arrest_wht contra_arrest_blk type_arrest_blk contra_frisk_wht type_frisk_wht contra_frisk_blk type_frisk_blk, by(agencydescription)

gen pctwhtcontra_arrest = (contra_arrest_wht/type_arrest_wht)*100
gen pctblkcontra_arrest = (contra_arrest_blk/type_arrest_blk)*100
gen ratiocontra_arrest = ((pctblkcontra_arrest/pctwhtcontra_arrest)*100)-100

gen pctwhtcontra_cause = (contra_cause_wht/type_cause_wht)*100
gen pctblkcontra_cause = (contra_cause_blk/type_cause_blk)*100
gen ratiocontra_cause = ((pctblkcontra_cause/pctwhtcontra_cause)*100)-100

gen pctwhtcontra_consent = (contra_consent_wht/type_consent_wht)*100
gen pctblkcontra_consent = (contra_consent_blk/type_consent_blk)*100
gen ratiocontra_consent = ((pctblkcontra_consent/pctwhtcontra_consent)*100)-100

gen pctwhtcontra_frisk = (contra_frisk_wht/type_frisk_wht)*100
gen pctblkcontra_frisk = (contra_frisk_blk/type_frisk_blk)*100
gen ratiocontra_frisk = ((pctblkcontra_frisk/pctwhtcontra_frisk)*100)-100

gsort -stops
drop if agency == "SHP - Motor Carrier Enforcement Section"
drop if stops < 92000 
*Adjust so that the dataset includes the top-25 agencies by number of stops. 

replace agency = "Highway Patrol" if agency == "NC State Highway Patrol"
replace agency = "Charlotte-Mecklenburg" if agency == "Charlotte-Mecklenburg Police Department"
replace agency = "Raleigh" if agency == "Raleigh Police Department"
replace agency = "Greensboro" if agency == "Greensboro Police Department"
replace agency = "Fayetteville" if agency == "Fayetteville Police Department"
replace agency = "Winston-Salem" if agency == "Winston-Salem Police Department"
replace agency = "High Point" if agency == "High Point Police Department"
replace agency = "Durham" if agency == "Durham Police Department"
replace agency = "Cary" if agency == "Cary Police Department"
replace agency = "Jacksonville" if agency == "Jacksonville Police Department"
replace agency = "Wilmington" if agency == "Wilmington Police Department"
replace agency = "Concord" if agency == "Concord Police Department"
replace agency = "Wake County Sheriff" if agency == "Wake County Sheriff's Office"
replace agency = "Greenville" if agency == "Greenville Police Department"
replace agency = "Asheville" if agency == "Asheville Police Department"
replace agency = "Forsyth County Sheriff" if agency == "Forsyth County Sheriff's Office"
replace agency = "Burlington" if agency == "Burlington Police Department"
replace agency = "Kannapolis" if agency == "Kannapolis Police Department"
replace agency = "Hickory" if agency == "Hickory Police Department"
replace agency = "Goldsboro" if agency == "Goldsboro Police Department"
replace agency = "Apex" if agency == "Apex Police Department"
replace agency = "Gaston County" if agency == "Gaston County Police Department"
replace agency = "Mooresville" if agency == "Mooresville Police Department"
replace agency = "Guilford County Sheriff" if agency == "Guilford County Sheriff's Office"
replace agency = "Gastonia" if agency == "Gastonia Police Department"

*Consent
#delimit ;
graph hbar ratiocontra_consent, over(agency, label(angle() labsize(small)) sort(ratiocontra_consent) ) 
graphregion(color(white)) 
bar(1, color(black))
aspectratio()
ytitle(Percent Difference)
ylabel(, nogrid)
;
#delimit cr

graph export "Chapt5_Fig3_PctDifTop25_Consent.png", width(1950) replace

*Probable Cause
#delimit ;
graph hbar ratiocontra_cause, over(agency, label(angle() labsize(small)) sort(ratiocontra_cause) ) 
graphregion(color(white)) 
bar(1, color(black))
aspectratio()
ytitle(Percent Difference)
ylabel(, nogrid)
;
#delimit cr

graph export "Chapt5_Fig3_PctDifTop25_Cause.png", width(1950) replace

*Incident to Arrest
#delimit ;
graph hbar ratiocontra_arrest, over(agency, label(angle() labsize(small)) sort(ratiocontra_arrest) ) 
graphregion(color(white)) 
bar(1, color(black))
aspectratio()
ytitle(Percent Difference)
ylabel(, nogrid)
;
#delimit cr

graph export "Chapt5_Fig3_PctDifTop25_Arrest.png", width(1950) replace

*Protective Frisk
#delimit ;
graph hbar ratiocontra_frisk, over(agency, label(angle() labsize(small)) sort(ratiocontra_frisk) ) 
graphregion(color(white)) 
bar(1, color(black))
aspectratio()
ytitle(Percent Difference)
ylabel(, nogrid)
;
#delimit cr

graph export "Chapt5_Fig3_PctDifTop25_Frisk.png", width(1950) replace

**
** Figure 5.4 - Percent Difference in the Likelihood of Searches and Finding Contraband 
**

clear
use "/nas/longleaf/home/ajlove/NC_TrafficStops_2002-2020_Clean.dta"
replace contraoccur = . if contraoccur == 1 & searchoccur == 0 

*rename SearchType searchtype
replace searchtype = . if searchoccur == 0 

gen whtconsent = 1 if searchtype == 1 & race2 == 1
replace whtconsent = 0 if whtconsent == . 

gen whtconsent_contra = 1 if whtconsent == 1 & contraoccur == 1
replace whtconsent_contra = 0 if whtconsent_contra == . 

gen whtcause = 1 if searchtype == 3 & race2 == 1
replace whtcause = 0 if whtcause == . 

gen whtcause_contra = 1 if whtcause == 1 & contraoccur == 1
replace whtcause_contra = 0 if whtcause_contra == . 

gen blkconsent = 1 if searchtype == 1 & race2 == 2
replace blkconsent = 0 if blkconsent == . 

gen blkconsent_contra = 1 if blkconsent == 1 & contraoccur == 1
replace blkconsent_contra = 0 if blkconsent_contra == . 

gen blkcause = 1 if searchtype == 3 & race2 == 2
replace blkcause = 0 if blkcause == . 

gen blkcause_contra = 1 if blkcause == 1 & contraoccur == 1
replace blkcause_contra = 0 if blkcause_contra == . 

gen white = 1 if race2 == 1
replace white = 0 if white == . 

gen black = 1 if race2 == 2
replace black = 0 if black == . 

collapse (sum) whtconsent whtconsent_contra whtcause whtcause_contra blkconsent blkconsent_contra blkcause blkcause_contra white black, by(year)

gen pctwhtconsent = (whtconsent/white)*100
gen pctblkconsent = (blkconsent/black)*100
gen ratioconsent = (pctblkconsent/pctwhtconsent)*100
replace ratioconsent = ratioconsent-100

gen pctwhtcause = (whtcause/white)*100
gen pctblkcause = (blkcause/black)*100
gen ratiocause = (pctblkcause/pctwhtcause)*100
replace ratiocause = ratiocause-100

gen pctwhtconsent_contra = (whtconsent_contra/whtconsent)*100
gen pctblkconsent_contra = (blkconsent_contra/blkconsent)*100
gen ratioconsent_contra = (pctblkconsent_contra/pctwhtconsent_contra)*100
replace ratioconsent_contra = ratioconsent_contra-100

gen pctwhtcause_contra = (whtcause_contra/whtcause)*100
gen pctblkcause_contra = (blkcause_contra/blkcause)*100
gen ratiocause_contra = (pctblkcause_contra/pctwhtcause_contra)*100
replace ratiocause_contra = ratiocause_contra-100

*Consent
#delimit ;
twoway (line ratioconsent year, lwidth(thick) lcolor(black))
(line ratioconsent_contra year, lwidth(thick) lcolor(black) lpattern(dash) yaxis(2)),
graphregion(color(white))
ylabel(0(50)150, nogrid)
ylabel(0(10)-40, axis(2))
xlabel(2002(2)2020)
ytitle(Percent Difference Search)
ytitle(Percent Difference Contraband, axis(2))
xtitle(Year)
legend(order(1 "Search Ratio" 2 "Contraband Hit Ratio"))
;
#delimit cr

graph export "Chapt5_Fig4_SearchContraConsent.png", width(1950) replace

*Probable Cause
#delimit ;
twoway (line ratiocause year, lwidth(thick) lcolor(black))
(line ratiocause_contra year, lwidth(thick) lcolor(black) lpattern(dash) yaxis(2)),
graphregion(color(white))
ylabel(, nogrid)
ylabel(-20(5)0, axis(2))
ylabel(0(100)300)
xlabel(2002(2)2020)
ytitle(Percent Difference Search)
ytitle(Percent Difference Contraband, axis(2))
xtitle(Year)
legend(order(1 "Search Ratio" 2 "Contraband Hit Ratio"))
;
#delimit cr

graph export "Chapt5_Fig4_SearchContraCause.png", width(1950) replace


**
** Figure 5.5 - Percent Difference in Likelihood of Finding Contraband by Gender and Age
**

clear
use "/nas/longleaf/home/ajlove/NC_TrafficStops_2002-2020_Clean.dta"
replace contraoccur = . if contraoccur == 1 & searchoccur == 0 

*rename SearchType searchtype
replace searchtype = . if searchoccur == 0 

*Make a variable for age ranges
gen agerange = .
replace agerange = 1 if age<26
replace agerange = 2 if age>25
replace agerange = 3 if age>35
replace agerange = 4 if age>49
replace agerange = . if age == .
label variable agerange "Age Group"
label define agerange 1 "Younger Than 26" 2 "26-35" 3 "36-49" 4 "50+" 

*make variable = combination of gender x age group
gen GAge = (gender*10)+agerange

*collapse stops and searches by this variable, creating a new set of values
gen whtconsent = 1 if searchtype == 1 & race2 == 1
replace whtconsent = 0 if whtconsent == . 

gen whtconsent_contra = 1 if whtconsent == 1 & contraoccur == 1
replace whtconsent_contra = 0 if whtconsent_contra == . 

gen whtcause = 1 if searchtype == 3 & race2 == 1
replace whtcause = 0 if whtcause == . 

gen whtcause_contra = 1 if whtcause == 1 & contraoccur == 1
replace whtcause_contra = 0 if whtcause_contra == . 

gen blkconsent = 1 if searchtype == 1 & race2 == 2
replace blkconsent = 0 if blkconsent == . 

gen blkconsent_contra = 1 if blkconsent == 1 & contraoccur == 1
replace blkconsent_contra = 0 if blkconsent_contra == . 

gen blkcause = 1 if searchtype == 3 & race2 == 2
replace blkcause = 0 if blkcause == . 

gen blkcause_contra = 1 if blkcause == 1 & contraoccur == 1
replace blkcause_contra = 0 if blkcause_contra == . 

gen white = 1 if race2 == 1
replace white = 0 if white == . 

gen black = 1 if race2 == 2
replace black = 0 if black == . 

*Make bar chart and export a csv file for a table*
collapse (min) gender agerange (sum) whtconsent whtconsent_contra whtcause whtcause_contra blkconsent blkconsent_contra blkcause blkcause_contra white black, by(GAge)

gen pctwhtconsent_contra = (whtconsent_contra/whtconsent)*100
gen pctblkconsent_contra = (blkconsent_contra/blkconsent)*100
gen ratioconsent_contra = (pctblkconsent_contra/pctwhtconsent_contra)*100
replace ratioconsent_contra = ratioconsent_contra-100

gen pctwhtcause_contra = (whtcause_contra/whtcause)*100
gen pctblkcause_contra = (blkcause_contra/blkcause)*100
gen ratiocause_contra = (pctblkcause_contra/pctwhtcause_contra)*100
replace ratiocause_contra = ratiocause_contra-100

gen agegroup = "Younger Than 26"
replace agegroup = "26-35" if agerange==2 
replace agegroup = "36-49" if agerange==3
replace agegroup = "50+" if agerange==4 
replace agegroup = "" if gender ==.

gen gender2 = 0 if gender == 1
replace gender2 = 1 if gender == 0

gen gend = "Male" if gender2 == 0
replace gend = "Female" if gender2 == 1 

drop if GAge == . 

*Consent
#delimit ;
graph bar ratioconsent_contra, over(agegroup, sort(agerange) label(angle(90) labsize(vsmall)))  over(gend, sort(gender2)) 
graphregion(color(white))
nofill
bar(1, color(black)) 
aspectratio() 
ylabel(, nogrid) 
ytitle("")
;
#delimit cr

graph export "Chapt5_Fig5_ContraHitGenderAge_Consent.png", width(1950) replace

*Probable Cause
#delimit ;
graph bar ratiocause_contra, over(agegroup, sort(agerange) label(angle(90) labsize(vsmall)))  over(gend, sort(gender2)) 
graphregion(color(white))
nofill
bar(1, color(black)) 
aspectratio() 
ylabel(, nogrid) 
ytitle("")
;
#delimit cr

graph export "Chapt5_Fig5_ContraHitGenderAge_Cause.png", width(1950) replace

**
** Table 5.7 - Logistic regressions predicting the discovery of contraband after different types of search
**

clear
use "/nas/longleaf/home/ajlove/NC_TrafficStops_2002-2020_Clean.dta"

gen officerid_unique = officerid + string(agencyid,"%9.0g")
replace contraoccur = . if contraoccur == 1 & searchoccur == 0 

*rename SearchType searchtype
replace searchtype = . if searchoccur == 0 

# delimit ; 
keep if agencydescription == "NC State Highway Patrol" | agencydescription == "Charlotte-Mecklenburg Police Department" | agencydescription == "Raleigh Police Department" | agencydescription == "Greensboro Police Department"
| agencydescription == "Fayetteville Police Department" | agencydescription == "Winston-Salem Police Department" | agencydescription == "High Point Police Department" | agencydescription == "Durham Police Department"
| agencydescription == "Cary Police Department" | agencydescription == "Jacksonville Police Department" | agencydescription == "Wilmington Police Department" | agencydescription == "Concord Police Department"
| agencydescription == "Wake County Sheriff's Office" | agencydescription == "Greenville Police Department" | agencydescription == "Asheville Police Department" | agencydescription == "Forsyth County Sheriff's Office"
| agencydescription == "Burlington Police Department" | agencydescription == "Kannapolis Police Department" | agencydescription == "Hickory Police Department" | agencydescription == "Goldsboro Police Department"
| agencydescription == "Apex Police Department" | agencydescription == "Gaston County Police Department" | agencydescription == "Mooresville Police Department" | agencydescription == "Guilford County Sheriff's Office" 
| agencydescription == "Gastonia Police Department" | agencydescription == "SHP - Motor Carrier Enforcement Section"
;
#delimit cr

gen black = 1 if race2 == 2
replace black = 0 if black == . 
gen hispanic = 1 if race2 == 3 
replace hispanic = 0 if hispanic == . 
gen other = 1 if race2 == 4
replace other = 0 if other == . 

*Searchtype: 1= consent, 2= warrant, 3= probable cause, 4= incident to arrest, 5= protective frisk

gen contraconsent = 1 if contraoccur == 1 & searchtype == 1
replace contraconsent = 0 if contraoccur == 0 & searchtype == 1 

gen contracause = 1 if contraoccur == 1 & searchtype == 3
replace contracause = 0 if contraoccur == 0 & searchtype == 3 

gen contraarrest = 1 if contraoccur == 1 & searchtype == 4
replace contraarrest = 0 if contraoccur == 0 & searchtype == 4

gen contrafrisk = 1 if contraoccur == 1 & searchtype == 5
replace contrafrisk = 0 if contraoccur == 0 & searchtype == 5

*gen contranoa = 1 if contraoccur == 1 & action < 4 
*replace contranoa = 0 if contraoccur == 1 & action == 4 
*replace contranoa = . if searchtype == 4 & contraoccur == 1

*xtset uniqueofficer

*xtmelogit contraconsent black || agencyid: || uniqueofficer: ||
*xtmelogit, or

xtmelogit contraconsent black hispanic other gender age i.purpose i.dow i.hourfixed || agencyid: || officerid_unique: ||
xtmelogit, or

xtmelogit contracause black hispanic other gender age i.purpose i.dow i.hourfixed || agencyid: || officerid_unique: ||
xtmelogit, or

xtmelogit contraarrest black hispanic other gender age i.purpose i.dow i.hourfixed || agencyid: || officerid_unique: ||
xtmelogit, or

xtmelogit contrafrisk black hispanic other gender age i.purpose i.dow i.hourfixed || agencyid: || officerid_unique: ||
xtmelogit, or

*xtlogit contraconsent black hispanic other gender age i.purpose i.dow i.hourfixed, fe or
*display "pseudo R2=" (e(ll_0)-e(ll))/e(ll_0)
*xtlogit contracause black hispanic other gender age i.purpose i.dow i.hourfixed, fe or
*display "pseudo R2=" (e(ll_0)-e(ll))/e(ll_0)
*xtlogit contraarrest black hispanic other gender age i.purpose i.dow i.hourfixed, fe or
*display "pseudo R2=" (e(ll_0)-e(ll))/e(ll_0)
*xtlogit contrafrisk black hispanic other gender age i.purpose i.dow i.hourfixed, fe or
*display "pseudo R2=" (e(ll_0)-e(ll))/e(ll_0)
*xtlogit contrafrisk black hispanic other gender age i.purpose i.dow i.hourfixed, fe or
*display "pseudo R2=" (e(ll_0)-e(ll))/e(ll_0)
*xtlogit contranoa black hispanic other gender age i.purpose i.dow i.hourfixed, fe or
*display "pseudo R2=" (e(ll_0)-e(ll))/e(ll_0)


**
** Figure 5.1 (Appendix) - Comparing search rates and contraband hit rates 
**

clear
use "/nas/longleaf/home/ajlove/NC_TrafficStops_2002-2020_Clean.dta"
replace contraoccur = . if contraoccur == 1 & searchoccur == 0 

*rename SearchType searchtype
replace searchtype = . if searchoccur == 0 

gen stops = 1
rename searchoccur searches
rename contraoccur contra

collapse (sum) stops searches contra, by (agencyid)

gen searchrate = (searches/stops)*100
gen contrarate = (contra/searches)*100

#delimit ;
scatter contrarate searchrate if searches >= 1000, mcolor(black)
bcolor(black) fcolor(white)
ytitle(Contraband Hit Rate) 
xtitle(Search Rate)  
graphregion(color(white)) 
ylabel(, nogrid)
ylabel(, format(%9.0f)) 
xlabel(, format(%9.0f)) 
;
#delimit cr
*Note: based on the 103 police agencies that searched at least 1,000 motorists. 

graph export "Chapt5_Fig1A_SearchContraOfficers.png", width(1950) replace

**
** Figure 5.2 (Appendix) - Arrest rates by amounts of contraband
**

**Ounces

clear
use "/nas/longleaf/home/ajlove/NC_TrafficStops_2002-2020_Clean.dta"
replace contraoccur = . if contraoccur == 1 & searchoccur == 0 

*rename SearchType searchtype
replace searchtype = . if searchoccur == 0 

rename OuncesDrugs ouncesdrugs
replace ouncesdrugs = . if searchoccur == 0 

gen ouncesoccur = 1 if ouncesdrugs > 0
replace ouncesoccur = 0 if ouncesoccur == . 
replace ouncesoccur = 0 if ouncesdrugs == . 

gen arrest = 1 if action == 4

keep if ouncesoccur == 1
drop if searchtype == 4 
gen stops = 1
xtile pctounce = ouncesdrugs, n(20)

sum ouncesdrugs if ouncesoccur == 1, d

collapse (sum) stops arrest, by(pctounce)

gen pctarrest = (arrest/stops)*100

#delimit ;
scatter pctarrest pctounce, mcolor(black) msize(small)
bcolor(black) fcolor(white)
ytitle(Arrest Rate) 
xtitle(Ventiles (20th) of Ounces)  
graphregion(color(white)) 
ylabel(, nogrid)
;
#delimit cr

*Note: Ounces were found a total of 34,193 times in amounts ranging from 0.01 to 7,165. 
*The figures excludes 193,753 searches that took place “incident to arrest,” as in these cases the arrest precipitated the search, rather than the search determining the outcome.

graph export "Chapter5_Figure2A_Ounces.png", width(1950) replace

**Grams

clear
use "/nas/longleaf/home/ajlove/NC_TrafficStops_2002-2020_Clean.dta"
replace contraoccur = . if contraoccur == 1 & searchoccur == 0 

rename SearchType searchtype
replace searchtype = . if searchoccur == 0 

rename GramsDrugs gramsdrugs
replace gramsdrugs = . if searchoccur == 0  

gen gramsoccur = 1 if gramsdrugs > 0
replace gramsoccur = 0 if gramsoccur == . 
replace gramsoccur = 0 if gramsdrugs == . 

gen arrest = 1 if action == 4

keep if gramsoccur == 1
drop if searchtype == 4 
gen stops = 1
xtile pctgram = gramsdrugs, n(20)

sum gramsdrugs if gramsoccur == 1, d

collapse (sum) stops arrest, by(pctgram)

gen pctarrest = (arrest/stops)*100

#delimit ;
scatter pctarrest pctgram, mcolor(black) msize(small)
bcolor(black) fcolor(white)
ytitle(Arrest Rate) 
xtitle(Ventiles (20th) of Grams)  
graphregion(color(white)) 
ylabel(, nogrid)
;
#delimit cr
*Note: Grams were found a total of 23,049 times in amounts ranging from 0.01 to 970. 
*The table excludes 193,753 searches that took place “incident to arrest,” as in these cases the arrest precipitated the search, rather than the search determining the outcome.

graph export "Chapter5_Figure2A_Grams.png", width(1950) replace

**Pints

clear
use "/nas/longleaf/home/ajlove/NC_TrafficStops_2002-2020_Clean.dta"
replace contraoccur = . if contraoccur == 1 & searchoccur == 0 

*rename SearchType searchtype
replace searchtype = . if searchoccur == 0 

rename PintsAlcohol pintsalcohol
replace pintsalcohol = . if searchoccur == 0 

gen pintsoccur = 1 if pintsalcohol > 0
replace pintsoccur = 0 if pintsoccur == . 
replace pintsoccur = 0 if pintsalcohol == . 

keep if pintsoccur == 1
drop if searchtype == 4 
gen arrest = 1 if action == 4
gen stops = 1
xtile pctpints = pintsalcohol, n(20)

sum pintsalcohol if pintsoccur == 1, d

collapse (sum) stops arrest, by(pctpints)

gen pctarrest = (arrest/stops)*100

#delimit ;
scatter pctarrest pctpints, mcolor(black) msize(small)
bcolor(black) fcolor(white)
ytitle(Arrest Rate) 
xtitle(Ventiles (20th) of Pints)  
graphregion(color(white)) 
ylabel(, nogrid)
;
#delimit cr

*Note: Pints were found a total of 24,641 times in amounts ranging from 0.01 to 5,002. 
*The table excludes 193,753 searches that took place “incident to arrest,” as in these cases the arrest precipitated the search, rather than the search determining the outcome.

graph export "Chapter5_Figure2A_Pints.png", width(1950) replace

**Dosages

clear
use "/nas/longleaf/home/ajlove/NC_TrafficStops_2002-2020_Clean.dta"
replace contraoccur = . if contraoccur == 1 & searchoccur == 0 

*rename SearchType searchtype
replace searchtype = . if searchoccur == 0 

*rename DosagesDrugs dosagesdrugs
replace dosagesdrugs = . if searchoccur == 0 

gen dosagesoccur = 1 if dosagesdrugs > 0
replace dosagesoccur = 0 if dosagesoccur == . 
replace dosagesoccur = 0 if dosagesdrugs == . 

keep if dosagesoccur == 1
drop if searchtype == 4 
gen arrest = 1 if action == 4
gen stops = 1
xtile pctdosage = dosagesdrugs, n(20)

sum dosagesdrugs if dosagesoccur == 1, d

collapse (sum) stops arrest, by(pctdosage)

gen pctarrest = (arrest/stops)*100

#delimit ;
scatter pctarrest pctdosage, mcolor(black) msize(small)
bcolor(black) fcolor(white)
ytitle(Arrest Rate) 
xtitle(Ventiles (20th) of Dosages)  
graphregion(color(white)) 
ylabel(, nogrid)
;
#delimit cr

*Note: Dosages were found a total of 17,288 times in amounts ranging from 1 to 22,000. 
*The table excludes 193,753 searches that took place “incident to arrest,” as in these cases the arrest precipitated the search, rather than the search determining the outcome.

graph export "Chapter5_Figure2A_Dosages.png", width(1950) replace


log close


 














